% Generated by roxygen2 (4.1.1): do not edit by hand
% Please edit documentation in R/rcicr.R
\name{batchGenerateCI}
\alias{batchGenerateCI}
\title{Generates multiple classification images by participant or condition}
\usage{
batchGenerateCI(data, by, stimuli, responses, baseimage, rdata,
  saveasjpeg = TRUE, targetpath = "./cis", label = "", antiCI = FALSE,
  scaling = "autoscale", constant = 0.1)
}
\arguments{
\item{data}{Data frame}

\item{by}{String specifying column name that specifies the smallest unit (participant, condition) to subset the data on and calculate CIs for}

\item{stimuli}{String specifying column name in data frame that contains the stimulus numbers of the presented stimuli}

\item{responses}{String specifying column name in data frame that contains the responses coded 1 for original stimulus selected and -1 for inverted stimulus selected.}

\item{baseimage}{String specifying which base image was used. Not the file name, but the key used in the list of base images at time of generating the stimuli.}

\item{rdata}{String pointing to .RData file that was created when stimuli were generated. This file contains the contrast parameters of all generated stimuli.}

\item{saveasjpeg}{Boolean stating whether to additionally save the CI as jpeg image}

\item{targetpath}{Optional string specifying path to save jpegs to (default: ./cis)}

\item{label}{Optional string to insert in file names of jepgs to make them easier to identify}

\item{antiCI}{Optional boolean specifying whether antiCI instead of CI should be computed}

\item{scaling}{Optional string specifying scaling method: \code{none}, \code{constant},  \code{independent} or \code{autoscale} (default)}

\item{constant}{Optional number specifying the value used as constant scaling factor for the noise (only works for \code{scaling='constant'})}
}
\value{
List of classification image data structures (which are themselves lists of pixel matrix of classification noise only, scaled classification noise only, base image only and combined)
}
\description{
Generate classification image for any reverse correlation task that displays independently generated alternatives.
}
\details{
This funcions saves the classification images by participant or condition as jpeg to a folder and returns the CIs.
}

