% Generated by roxygen2 (4.1.1): do not edit by hand
% Please edit documentation in R/rcicr.R
\name{generateNoisePattern}
\alias{generateNoisePattern}
\title{Generate sinusoid noise pattern}
\usage{
generateNoisePattern(img_size = 512, nscales = 5, noise_type = "sinusoid",
  sigma = 25, pre_0.3.0 = FALSE)
}
\arguments{
\item{img_size}{Integer specifying size of the noise pattern in number of pixels}

\item{nscales}{Integer specifying the number of incremental spatial scales. Defaults to 5. Higher numbers will add higher spatial frequency scales.}

\item{noise_type}{String specifying noise pattern type (defaults to \code{sinusoid}; other options: \code{gabor}).}

\item{sigma}{Number specifying the sigma of the Gabor patch if noise_type is set to \code{gabor} (defaults to 25)}

\item{pre_0.3.0}{Boolean specifying whether the noise pattern should be created in a way compatible with older versions of rcicr (< 0.3.0). If you are starting a new project, you should keep this at the default setting (FALSE). There is no reason to set this to TRUE, with the sole exception to recreate behavior of rcicr prior to version 0.3.0.}
}
\value{
List with two elements: the 3D noise matrix with size \code{img_size}, and and indexing
matrix with the same size to easily change contrasts.
}
\description{
Generate sinusoid noise pattern
}
\examples{
generateNoisePattern(256)
}

